Bug 680350 - WARNING: APIC timer calibration may be wrong [rhel-5.6.z]
Summary: WARNING: APIC timer calibration may be wrong [rhel-5.6.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.4
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Igor Zhang
URL:
Whiteboard:
Depends On: 665197
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-25 08:18 UTC by RHEL Product and Program Management
Modified: 2018-11-14 12:18 UTC (History)
12 users (show)

Fixed In Version: kernel-2.6.18-238.8.1.el5
Doc Type: Bug Fix
Doc Text:
Prior to this update, the following message was displayed when booting a Red Hat Enterprise Linux 5 system on a virtual guest: WARNING calibrate_APIC_clock: the APIC timer calibration may be wrong. This was due to the MAX_DIFFERENCE parameter value (in the APIC calibration loop) of 1000 cycles being too aggressive for virtual guests. APIC (Advanced Programmable Interrupt Controllers) and TSC (Time Stamp Counter) reads normally take longer than 1000 cycles when performed from inside a virtual guest, due to processors being scheduled away from and then back onto the guest. With this update, the MAX_DIFFERENCE parameter value has been increased to 10,000 for virtual guests.
Clone Of:
Environment:
Last Closed: 2011-04-12 18:22:34 UTC


Attachments (Terms of Use)
Warning generated when booting kernel-2.6.18-164.6.1.el5.i686 (8.17 KB, image/png)
2011-04-12 07:42 UTC, Igor Zhang
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0429 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-04-12 18:19:57 UTC

Description RHEL Product and Program Management 2011-02-25 08:18:12 UTC
This bug has been copied from bug #665197 and has been proposed
to be backported to 5.6 z-stream (EUS).

Comment 4 Jiri Pirko 2011-03-18 07:00:00 UTC
in kernel-2.6.18-238.8.1.el5

linux-2.6-misc-vmware-increase-apic_calibration_diff-to-10000.patch

Comment 7 Igor Zhang 2011-04-12 07:42:58 UTC
Created attachment 491418 [details]
Warning generated when booting kernel-2.6.18-164.6.1.el5.i686

Comment 8 errata-xmlrpc 2011-04-12 18:22:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0429.html

Comment 9 Martin Prpič 2011-04-14 10:16:48 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, the following message was displayed when booting a Red Hat Enterprise Linux 5 system on a virtual guest:

WARNING calibrate_APIC_clock: the APIC timer calibration may be wrong.

This was due to the MAX_DIFFERENCE parameter value (in the APIC calibration loop) of 1000 cycles being too aggressive for virtual guests. APIC (Advanced Programmable Interrupt Controllers) and TSC (Time Stamp Counter) reads normally take longer than 1000 cycles when performed from inside a virtual guest, due to processors being scheduled away from and then back onto the guest. With this update, the MAX_DIFFERENCE parameter value has been increased to 10,000 for virtual guests.


Note You need to log in before you can comment on or make changes to this bug.